#ifndef D2M4GSH
#define D2M4GSH

#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif


#include "d2m.h"

void MARCtidy(struct marcrec *mrec, char *buf, int format);
int MARCmake(struct metatag *mt, struct marcrec *mr, int format);
char *MARC2709(char *record, int last, int first, char recstatus, 
	       char rectype, char biblevel);

#ifdef __cplusplus
}
#endif

#endif
